PROGRAM=exercise_04_32
CXX=clang++
CXXFLAGS=-Wall -Wextra -Werror -g3

run: $(PROGRAM)
	./$(PROGRAM)
	
$(PROGRAM): exercise_04_32.o | .gitignore
	$(CXX)    $(CXXFLAGS) $< -o $@
	
%.ii: %.cpp
	$(CXX) -E $(CXXFLAGS) $< -o $@
	
%.s: %.ii
	$(CXX) -S $(CXXFLAGS) $< -o $@
	
%.o: %.s
	$(CXX) -c $(CXXFLAGS) $< -o $@
	
.gitignore:
	echo $(PROGRAM) > .gitignore
	
clean:
	rm *.s *.ii *.o $(PROGRAM) .gitignore
	
.PRECIOUS: exercise_04_32.ii exercise_04_32.s exercise_04_32.o
.SECONDARY: exercise_04_32.ii exercise_04_32.s exercise_04_32.o

